### Method

# GnomeAutoar Extractor start

#### Declaration [src]

    void
    autoar_extractor_start (
      AutoarExtractor* self,
      GCancellable* cancellable
    )

#### Description [src]

Runs the archive extracting work. All callbacks will be called in the same thread as the caller of this functions.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.